GIT-LOCAL-FETCH(1)

NAME
git-local-fetch - Duplicates another git repository on a local system

SYNOPSIS
git-local-fetch [-c] [-t] [-a] [-d] [-v] [-w filename] [--recover] [-l] [-s] [-n] commit-id path

DESCRIPTION
Duplicates another git repository on a local system.

OPTIONS

-c  Get the commit objects.

-t  Get trees associated with the commit objects.

-a  Get all the objects.

-v  Report what is downloaded.

-w <filename>
    Writes the commit-id into the filename under $GIT_DIR/refs/<filename> on the local end after the transfer is complete.

--stdin
    Instead of a commit id on the commandline (which is not expected in this case), git-local-fetch expects lines on stdin in the format

    <commit-id>['\t'<filename-as-in--w>]

AUTHOR
Written by Junio C Hamano <junkio@cox.net>

DOCUMENTATION
Documentation by David Greaves, Junio C Hamano and the git-list <git@vger.kernel.org>.

GIT
Part of the git(7) suite